#include "code/framework/FpsCounter.h"
//#include <math.h>


FpsCounter::FpsCounter()
{
	m_t=new Timer();
	m_frames=0;
	m_fps=0;
}

FpsCounter::~FpsCounter()
{
	delete m_t;	
}

void FpsCounter::update()
{
	if(m_frames==60)
	{
		m_fps=int(60000/m_t->getTime()); //prend la partie entiere.
		m_t->stop();
		m_t->start();
		m_frames=0;
	}
	else
	{
		m_frames++;
	}
}

int FpsCounter::getFps() const
{
	return m_fps;
}

void FpsCounter::start()
{
	m_t->start();	
}






