#ifndef I18NRESOURCEBUNDLE_H_
#define I18NRESOURCEBUNDLE_H_
#define DEFAULT_LOCALE "en"
#define I18N_RESOURCES "res/i18n/"

#include <string>
#include <map>

using namespace std;

class I18nResourceBundle
{
	private:
		map<string, string> * m_bundle; //contiendra les messages
		string m_locale;
		
	public:
		I18nResourceBundle(string locale, string filename);
		~I18nResourceBundle();
		string getMessage(string key) const;
};

#endif /*I18NRESOURCEBUNDLE_H_*/
