#ifndef ABSTRACTEFFECTMANAGER_
#define ABSTRACTEFFECTMANAGER_

//un manager permettant, une fois les effets ajoutés,
//de lancer des commandes sur des lots, et de tout
//supprimer d'un coup.
class AbstractEffectManager
{
	private:
		
	public:
		
		//tout ca se fera sur tous les effets enregistrés.
		virtual void start()=0; 
		virtual void restart()=0;
		virtual void reset()=0;
		virtual void stop()=0;
		virtual void update()=0;
		virtual bool finished()=0;
		virtual bool isRunning()=0;
		
		virtual void deleteAll()=0;
		//template<class T> virtual T *addEffect(T *fx)=0;
		
		virtual ~AbstractEffectManager(){}
};

#endif /*ABSTRACTEFFECTMANAGER_*/
