#ifndef SIMPLEEFFECTMANAGER_H_
#define SIMPLEEFFECTMANAGER_H_

#include <list>
#include "code/framework/fx/abstract/AbstractEffectManager.h"
#include "code/framework/fx/abstract/AbstractEffect.h"
#include "code/framework/utils.h"
using namespace std;
using namespace utils;

//TODO: implemente ca
class SimpleEffectManager : protected AbstractEffectManager
{
	private:
		list<AbstractEffect *> *m_effects;
		//ImgState *state;
		
	public:
		
		SimpleEffectManager();
		virtual void start(); 
		virtual void restart();
		virtual void reset();
		virtual void stop();
		virtual void update();
		virtual bool finished();
		virtual bool isRunning();
		
		template<class T> T *addEffect(T *fx)
		{

			m_effects->push_back(fx);

			return fx;
		}
		
		/*void addEffect(AbstractEffect *eff)
		{
			m_effects->push_back(eff);
		}*/
		
		//AbstractEffect * addEffect(AbstractEffect *fx);
		virtual void deleteAll();
		
		virtual ~SimpleEffectManager();
};


#endif /*SIMPLEEFFECTMANAGER_H_*/
