#include <OSLib/oslib.h>
#include "code/framework/fx/utils/ImgState.h"


ImgState::ImgState()
{
	x=0;
	y=0;
	stretchX=0;
	stretchY=0;
	offsetX0=0.0f;
	offsetY0=0.0f;
	offsetX1=0.0f;
	offsetY1=0.0f;
	centerX=0;
	centerY=0;
	angle=0;
	//palette=NULL;
}

void ImgState::saveFrom(OSL_IMAGE *img)
{
	x=img->x;
	y=img->y;
	stretchX=img->stretchX;
	stretchY=img->stretchY;
	offsetX0=img->offsetX0;
	offsetY0=img->offsetY0;
	offsetX1=img->offsetX1;
	offsetY1=img->offsetY1;
	centerX=img->centerX;
	centerY=img->centerY;
	angle=img->angle;
	//palette=img->palette;
}

void ImgState::restoreTo(OSL_IMAGE *img)
{
	img->x=x;
	img->y=y;
	img->stretchX=stretchX;
	img->stretchY=stretchY;
	img->offsetX0=offsetX0;
	img->offsetY0=offsetY0;
	img->offsetX1=offsetX1;
	img->offsetY1=offsetY1;
	img->centerX=centerX;
	img->centerY=centerY;
	img->angle=angle;
	//img->palette=palette;
}













