#ifndef IMGSTATE_H_
#define IMGSTATE_H_

//sauvegarde/restore l'état d'une image.
//par exemple suavegarder l'etat, appliquer tout un tas d'effets,
//puis lui restaurer son état.
class ImgState
{
	private:
		int x, y;							//Positions
		int stretchX, stretchY;					//Taille finale (étirée)
		//Morceau
		float offsetX0, offsetY0, offsetX1, offsetY1;
		//Rotation
		int centerX, centerY;					//Centre de rotation
		int angle;						//Angle (rotation)
		//Paramètres
		bool autoStrip;						//Stripping auto (incompatible avec rotation)
		bool bilinear;
		//OSL_PALETTE *palette;
	
	public:
		ImgState();
		void saveFrom(OSL_IMAGE *img);
		void restoreTo(OSL_IMAGE *img);
};



#endif /*IMGSTATE_H_*/
