#ifndef SUCCESSIVEANIMFACTORY_H_
#define SUCCESSIVEANIMFACTORY_H_

#include <vector>
#include "code/framework/particles/complete/animFactories/abstract/AbstractAnimationFactory.h"

using namespace std;

class SuccessiveAnimationFactory : public AbstractAnimationFactory
{
	private:
		vector<Anim *> *m_animations;
		unsigned int m_current;
		
	public:
		SuccessiveAnimationFactory(Anim *anim=NULL);
		~SuccessiveAnimationFactory();
		void addAnimation(Anim *anim);
		Anim *newAnimInstance();
		
		float getDelayTotal();
   		void setDelayTotal(float d);
   		
   		SuccessiveAnimationFactory *clone() const;
};

#endif /*SUCCESSIVEANIMFACTORY_H_*/
