#ifndef PFXFEXACTSAMELOCALEFFECT_H_
#define PFXFEXACTSAMELOCALEFFECT_H_

#include "code/framework/particles/complete/fxFactories/abstract/AbstractLocalParticleEffectFactory.h"
#include "code/framework/fx/abstract/AbstractLocalEffect.h"

class PFXFExactSameLocalEffect : public AbstractLocalParticleEffectFactory
{
	private:
		AbstractLocalEffect * m_base;
		
	public:
		PFXFExactSameLocalEffect(AbstractLocalEffect *fx);
		~PFXFExactSameLocalEffect();
		AbstractLocalEffect *newLocalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan);
		
		PFXFExactSameLocalEffect *clone() const;
};

#endif /*PFXFEXACTSAMELOCALEFFECT_H_*/
