#ifndef ABSTRACTLOCALPARTICLEEFFECTFACTORY_H_
#define ABSTRACTLOCALPARTICLEEFFECTFACTORY_H_

#include "code/framework/fx/abstract/AbstractLocalEffect.h"

class AbstractLocalParticleEffectFactory
{
	private:
		
	
	public:
		virtual ~AbstractLocalParticleEffectFactory();
		virtual AbstractLocalEffect *newLocalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan)=0;
		
		virtual AbstractLocalParticleEffectFactory *clone() const=0;
};

#endif /*ABSTRACTLOCALPARTICLEEFFECTFACTORY_H_*/
