#include "code/framework/resRepo/resrepo.h"
#include "code/framework/bmpFont/BmpFont.h"
#include "code/framework/resRepo/abstract/AbstractResRepo.h"

#include <istream>
#include <string>

using namespace std;

void resrepo::initBmpFont(AbstractResRepo *res, string bytesFilename, string charsFilename)
{
	istream *bytes=res->readTextFileStream(bytesFilename);
	istream *chars=res->readTextFileStream(charsFilename);
	BmpFont::initBmpFont(chars, bytes);
	delete bytes; delete chars;
}

/*
void resrepo::addImageToAnim(AbstractResRepo *res, Anim *anim, string filename, int transparency)
{
	string imageId=res->getName()+"::"+filename;
	ImageAndAttr *iaa=Anim::getImageWithName(imageId);
	if(iaa==NULL)
	{
		OSL_IMAGE *image=res->readPngFile(filename, OSL_IN_RAM|OSL_SWIZZLED, transparency);
		anim->addImage(image, imageId);
	}
	else //iaa!=NULL
	{
		anim->addImage(imageId, transparency); //ira la chercher en buffer
	}
}

*/



