#ifndef FLAGMATRIX_H_
#define FLAGMATRIX_H_

//#include "code/framework/check/Trackable.h"

//TODO: mettre des trucs en inline
class FlagMatrix ///: public Trackable
{
	private:
		bool *m_table;
		int m_nbcols;
		int m_nblines;
		
	public:
		FlagMatrix(int cols, int lines);
		~FlagMatrix();
		
		void setFlagAt(int col, int line, bool b=true);
		bool isFlagSetAt(int col, int line);
		int getNbFlagsSet();
		int getNbFlagsNotSet();
		void removeAllFlags();
		void setAllFlags();
		int getNbLines();
		int getNbCols();
};

#endif /*FLAGMATRIX_H_*/
