#ifndef PDR4CSLIDESHOW_H_
#define PDR4CSLIDESHOW_H_

#include <oslib/oslib.h>
#include <string>
#include <vector>
#include "code/game/menus/MenusDefines.h"
#include "code/framework/Properties.h"
#include "code/game/SongBanner.h"

using namespace std;

class PDR4CSlideshow
{
	private:
		OSL_IMAGE *m_img; //image courante
		vector<string> *m_list;
		int m_nbimg;
		int m_curimg;
		
		OSL_SOUND *m_music;
		SongBanner *m_songbanner;
		
		int m_songbanner_color;
	
	public:
		PDR4CSlideshow(string properties);
		~PDR4CSlideshow();
		int go();
	
};

#endif /*PDR4CSLIDESHOW_H_*/
