#ifndef QJLOGO_H_
#define QJLOGO_H_

#include <oslib/oslib.h>
#include "code/framework/fx/EffectsLib.h"
#include "code/framework/time/Delayer.h"

class QJLogo
{
	private:
		OSL_IMAGE *m_img_splash;
		OSL_SOUND *m_snd_punch;
		SizeWowEffect *m_fx_size;
		ProgressiveAlphaEffect *m_fx_vanish;
		Delayer *m_delayer_vanish;
		Delayer *m_delayer_sound;
		ShakeEffect *m_fx_shake;
		
		void keys();
		void drawScene();
	
	public:
		QJLogo();
		~QJLogo();
		void go();
};

#endif /*QJLOGO_H_*/
