#ifndef LEVELRECORDSDIALOG_H_
#define LEVELRECORDSDIALOG_H_

#include <oslib/oslib.h>
#include <string>
#include "code/framework/utils.h"
#include "code/game/levels/abstract/AbstractLevel.h"
#include "code/framework/bmpFont/BmpFont.h"
#include "code/framework/bmpFont/BmpText.h"
#include "code/game/menus/qj/dialogs/AbstractDialog.h"
#include "code/framework/anim/Anim.h"

using namespace std;
using namespace utils;

class LevelRecordsDialog : public AbstractDialog
{
	private:
		//BmpFont *m_font_big;
		//BmpFont *m_font_small;
		
		BmpText *m_text_title;
		BmpText *m_text_scoreTitle;
		BmpText *m_text_score;
		BmpText *m_text_combosTitle;
		BmpText *m_text_combos;
		BmpText *m_text_ok;
		
		OSL_SOUND *m_music;
		
		Anim *m_anim_buttons;
	
	public:
		LevelRecordsDialog(string level_code, int level_difficulty);
		~LevelRecordsDialog();
		
		void startSpecific();
		void drawSpecific();
		void updateSpecific();
		int keys();
};

#endif /*LEVELRECORDSDIALOG_H_*/
