#ifndef TESTGENERATORWITHGRAVITY_H_
#define TESTGENERATORWITHGRAVITY_H_


#include <oslib/oslib.h>
//#include "code/framework/particles/complete/abstract/AbstractParticleGenerator.h"
#include "code/framework/particles/complete/impl/ParticleGeneratorPoint.h"
#include "code/framework/fx/EffectsLib.h"
#include "code/framework/particles/complete/fx/ParticlesProgressiveTintEffect.h"

class TestGeneratorWithGravity
{
	private:
		bool m_skip;
		int m_action;
		
		ParticleGeneratorPoint * m_test_partGen;
		
		//les effets des particules, ne pas le deleter, on en garde juste les references,
		//le generateur s'occupe du nettoyage
		ParticlesProgressiveTintEffect *m_fx_alpha1;
		ParticlesProgressiveTintEffect *m_fx_alpha2;
		ParticlesProgressiveTintEffect *m_fx_alpha3;
		//ParticlesProgressiveTintEffect *m_fx_tint;
		GravityEffect * m_fx_gravity;
		
		
		void adjustEffects(int newTime);
		void drawScene();
		int keys();
		
	public:
		
		int go();
		TestGeneratorWithGravity();
		~TestGeneratorWithGravity();
};

#endif /*TESTGENERATORWITHGRAVITY_H_*/
