#ifndef TESTSCENARIO_H_
#define TESTSCENARIO_H_

#include "code/game/EventsScenario.h"
#include "code/framework/fx/EffectsLib.h"
#include <oslib/oslib.h>
#include "code/framework/Pos.h"

class TestScenario
{
	private:
		bool m_skip;
		int m_action;
		
		OSL_SOUND *m_music;
		EventsScenario *m_scenario;
		int m_colors[28]; //tableau d'osl_color
		Pos m_positions[28]; //tableau de positions
		ProgressiveAlphaEffect **m_alpha; //effets d'alpha
		bool m_used[28]; //dit si le num devenement est utilisé
		
		int m_test;
		
		void drawScene();
		int keys();
		
		void update();
		
	public:
		
		int go();
		TestScenario();
		~TestScenario();
};


#endif /*TESTSCENARIO_H_*/
