#include "code/tests/TestSongBanner.h"
#include <oslib/oslib.h>
#include <string>
#include "code/framework/utils.h"
#include "code/game/menus/MenusDefines.h"

using namespace std;
using namespace utils;

//construction
TestSongBanner::TestSongBanner()
{
	oslSetKeyAutorepeat(OSL_KEYMASK_UP|OSL_KEYMASK_DOWN,40,4);
	
	m_action=MENU_NOACTION;
	m_skip=false;
	
	m_sban=m_sban=new SongBanner(130, "res/fonts/bmpFonts/arcadepix/18/", "arcadepix", "arcadepix", "nom de la chanson - nom du groupe", "album : nom de l'album", "licence creative commons", "stop rokkasho!!");
	
}

//destruction
TestSongBanner::~TestSongBanner()
{
	delete m_sban;
}

//demarrage du menu
int TestSongBanner::go()
{
	while(m_action==MENU_NOACTION)
	{
		oslBenchmarkTest(OSL_BENCH_START);
		
		//touches
		m_action=keys();
		if(m_action==MENU_QUIT)
			return m_action;
		
		//phase d'update
		m_sban->update();
				
		if (!m_skip)
		{
			//phase de dessin
			oslStartDrawing();
			drawScene();
			oslBenchmarkTest(OSL_BENCH_END);
			oslSysBenchmarkDisplay();
			oslEndDrawing();
		}
		
		//End of a frame
        oslEndFrame();
		//Synchronize to ensure the game runs at 60 fps
        m_skip = oslSyncFrame();
		//oslAudioVSync(); //ne sert plus, oslEndFrame le fait
	}
	//il a choisi une option
	enableDebug();
	debug("fin boucle TestSongBanner, return "+toString(m_action));
	enableDebug(false);
	
	return m_action;	
}

//dessins
void TestSongBanner::drawScene()
{
	oslClearScreen(RGB(0,0,0));
	
	//dessin des animations a leur place
	m_sban->draw();
	
}

//gestion des touches
int TestSongBanner::keys()
{
	oslReadKeys();
	if (osl_pad.pressed.start) //Exit 
	{
		enableDebug();
		debug("start!");
		enableDebug(false);
		return MENU_MAIN;
	}
	
	if(osl_pad.pressed.cross)
	{
		delete m_sban;
		m_sban=m_sban=new SongBanner(130, "res/fonts/bmpFonts/russelsquare/12/", "normal", "italic", "nom de la chanson - nom du groupe", "album : nom de l'album", "YouHOU! :) !!");
	}
	else if(osl_pad.pressed.L)
	{
		
	}
	
	
		
	if (osl_pad.pressed.up)
	{
	}
	else if(osl_pad.pressed.down)
	{
	}
	else if(osl_pad.pressed.left)
	{
		
	}
	else if(osl_pad.pressed.right)
	{
		
	}
	
	if(osl_pad.pressed.select)
	{
	
	}
	
	return MENU_NOACTION;
}





































