#ifndef ABSTRACTGLOBALEFFECT_H_
#define ABSTRACTGLOBALEFFECT_H_

#include "code/framework/fx/abstract/AbstractEffect.h"

//parent de tous les effets globaux, càd la teinte et la transparence
class AbstractGlobalEffect : public AbstractEffect
{
	public:
		virtual void activate()=0; //avant les dessins, pour les effets globaux ie: teinte etc
		//virtual void deactivate()=0; //apres les dessins, pour les effets globaux
		//pour annuler l'effet, utiliser oslSetAlpha(OSL_FX_DEFAULT, 0);
		virtual ~AbstractGlobalEffect(){}
		virtual AbstractGlobalEffect* clone() const=0;
};

#endif /*ABSTRACTGLOBALEFFECT_H_*/
