#ifndef POSITIONABLE_H_
#define POSITIONABLE_H_
#include "code/framework/interfaces/StateSavable.h"

class Positionable : public virtual StateSavable
{
	public:
		virtual ~Positionable(){}
		
		virtual void setX(int x)=0;
		virtual void setY(int y)=0;
		virtual int getX()=0;
		virtual int getY()=0;
};

#endif /*POSITIONABLE_H_*/
