#ifndef PFXFRANDOMCOLOR_H_
#define PFXFRANDOMCOLOR_H_

#include "code/framework/particles/complete/fxFactories/abstract/AbstractGlobalParticleEffectFactory.h"
#include "code/framework/fx/EffectsLib.h"
#include <vector>

using namespace std;

class PFXFRandomColor : public AbstractGlobalParticleEffectFactory
{
	private:
		vector<OSL_COLOR> *m_colors;
		
	public:
		PFXFRandomColor(OSL_COLOR color);
		~PFXFRandomColor();
		AbstractGlobalEffect *newGlobalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan);
		void addColor(OSL_COLOR color);
		void replaceColorNumber(unsigned int number, OSL_COLOR color);
		
		PFXFRandomColor *clone() const;
};

#endif /*PFXFRANDOMCOLOR_H_*/
