#ifndef PIECENULL_H_
#define PIECENULL_H_

#include "code/game/pieces/abstract/AbstractPiece.h"

class PieceNull : public AbstractPiece
{
	private:
		
	
	public:
		PieceNull();
		~PieceNull();
		PieceNull(const PieceNull &piece);//copie
   		PieceNull& operator =(const PieceNull& piece);
   		
   		PieceNull * clone() const;
   		
		int getShape(){return PIECE_SHAPE_NONE;}
		int getColor(){return PIECE_COLOR_NONE;}
		int getType(){return PIECE_TYPE_NULL;}
		void setColor(int color){}
		void setShape(int shape){}
		
		void startDestruct(){}
		void drawXY(int x, int y, AbstractLocalEffect *fx1=NULL, AbstractLocalEffect *fx2=NULL, AbstractLocalEffect *fx3=NULL, AbstractLocalEffect *fx4=NULL, AbstractLocalEffect *fx5=NULL){}
		void update(){}
		bool destructed(){return true;}
		bool destructing(){return false;}
		
		int specialEvent(int e){return 0;}
		
		bool isRandom(){return false;}
		
		void setExplosionTime(float time){};
};

#endif /*PIECENULL_H_*/
