#ifndef TESTARTIFICE_H_
#define TESTARTIFICE_H_

#include <oslib/oslib.h>
#include "code/framework/particles/complete/impl/ParticleGeneratorPoint.h"
#include "code/framework/fx/EffectsLib.h"
#include <vector>

class TestArtifice
{
	private:
		bool m_skip;
		int m_action;
		
		ParticleGeneratorPoint * m_test_partGen;
		OSL_COLOR * m_colors; //tableau
		OSL_COLOR m_curentColor;
		
		int m_imageNum;
		
		void drawScene();
		int keys();
		
	public:
		
		int go();
		TestArtifice();
		~TestArtifice();
};

#endif /*TESTARTIFICE_H_*/
